Page MenuHomePhabricator

options parameter of OO.ui.{alert|confirm|prompt} should accept proposed dialog size
Closed, ResolvedPublic

Description

It would be nice if "options" on https://doc.wikimedia.org/oojs-ui/master/js/#!/api/OO.ui-method-alert could accept and handle dialog "size" as I am forced to apply that with some css !important hacking in our local gadgets. (or is there any other appropiate way to do that? please let me know). Thanks

Event Timeline

Ebraminio created this task.Apr 1 2017, 6:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2017, 6:32 PM
Ebraminio updated the task description. (Show Details)Apr 1 2017, 6:41 PM
Ebraminio renamed this task from OO.ui.MessageDialog.getSetupProcess should also handle and pass size parameter to options parameter of OO.ui.{alert|confirm|prompt} should accept proposed dialog size.Apr 1 2017, 7:03 PM
Ebraminio updated the task description. (Show Details)

Change 345984 had a related patch set uploaded (by Ebrahim):
[oojs/ui@master] Accept proposed size dialog on getSetupProcess

https://gerrit.wikimedia.org/r/345984

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Apr 3 2017, 7:32 PM
Volker_E moved this task from Reviewing to OOjs-UI-0.20.2 on the OOUI board.
Volker_E edited projects, added OOUI (OOjs-UI-0.20.2); removed OOUI.
Volker_E moved this task from OOjs-UI-0.20.2 to OOjs-UI-0.21.0 on the OOUI board.Apr 3 2017, 7:48 PM
Volker_E edited projects, added OOUI (OOjs-UI-0.21.0); removed OOUI (OOjs-UI-0.20.2).
This comment was removed by Ebraminio.

Change 345984 merged by Bartosz Dziewoński:
[oojs/ui@master] MessageDialog: Accept proposed size dialog on getSetupProcess

https://gerrit.wikimedia.org/r/345984

Volker_E closed this task as Resolved.Apr 7 2017, 2:36 AM
Volker_E assigned this task to Ebraminio.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.